/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-01 15:32:38 UTC)
 * on 2013-08-06 at 22:25:57 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.prediction.model;

/**
 * Model definition for Input.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Prediction API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Input extends com.google.api.client.json.GenericJson {

  /**
   * Input to the model for a prediction.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private InputInput input;

  /**
   * Input to the model for a prediction.
   * @return value or {@code null} for none
   */
  public InputInput getInput() {
    return input;
  }

  /**
   * Input to the model for a prediction.
   * @param input input or {@code null} for none
   */
  public Input setInput(InputInput input) {
    this.input = input;
    return this;
  }

  @Override
  public Input set(String fieldName, Object value) {
    return (Input) super.set(fieldName, value);
  }

  @Override
  public Input clone() {
    return (Input) super.clone();
  }

  /**
   * Input to the model for a prediction.
   */
  public static final class InputInput extends com.google.api.client.json.GenericJson {

    /**
     * A list of input features, these can be strings or doubles.
     * The value may be {@code null}.
     */
    @com.google.api.client.util.Key
    private java.util.List<java.lang.Object> csvInstance;

    /**
     * A list of input features, these can be strings or doubles.
     * @return value or {@code null} for none
     */
    public java.util.List<java.lang.Object> getCsvInstance() {
      return csvInstance;
    }

    /**
     * A list of input features, these can be strings or doubles.
     * @param csvInstance csvInstance or {@code null} for none
     */
    public InputInput setCsvInstance(java.util.List<java.lang.Object> csvInstance) {
      this.csvInstance = csvInstance;
      return this;
    }

    @Override
    public InputInput set(String fieldName, Object value) {
      return (InputInput) super.set(fieldName, value);
    }

    @Override
    public InputInput clone() {
      return (InputInput) super.clone();
    }

  }
}
